dictionary.h File Reference
`#include <vector>`
`#include <string>`
`#include <istream>`
`#include <ostream>`
`#include <random>`
`#include <memory>`
`#include <unordered_map>`
`#include "args.h"`
`#include "real.h"`

Go to the source code of this file.

## Classes

struct | fasttext::entry
class | fasttext::Dictionary

## Namespaces

| fasttext

## Typedefs

typedef int32_t | fasttext::id_type

## Enumerations

enum | fasttext::entry_type : int8_t { fasttext::entry_type::word =0, fasttext::entry_type::label =1 }